﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Volo.Abp.Domain.Entities.Auditing;

namespace Acme.BookStore.BookIssued
{
    public class BookIssue : FullAuditedAggregateRoot<int>
    {
        public Guid bookId { get; set; }
        public int customerId { get; set; }
        private BookIssue()
        {
            /* This constructor is for deserialization / ORM purpose */
        }
        internal BookIssue(int id, Guid bookId, int customerId) : base(id)
        {
            this.bookId = bookId;
            this.customerId = customerId; 
        }
    }

    public class BookIssueList
    {
        public int bookIssueId { get; set; }
        public string bookName { get; set; }
        public string customerName { get; set; } 
        public DateTime issueDate { get; set; }

    }
}
